#include <stdio.h>

int main(int argc, char *argv[])
{
	char *filename;

	if (argc<3) {
		printf("usage: readbin input_file output_file\n");
		return -1;
	}

	FILE *in, *out;
	errno_t err;
	filename = argv[1];
	err = fopen_s(&in,filename,"rb");
	if (err) {
		printf("file: %s not found\n",filename);
		return -1;
	}
	filename = argv[2];
	err = fopen_s(&out,filename,"wt");
	if (err) {
		printf("file: %s not opened\n",filename);
		return -1;
	}
	int count;
	unsigned int data;
	unsigned int address = 0;
	while (count = fread(&data,4,1,in)) {
		fprintf(out,"%08x : %08x\n",address,data);
		address+=4;
	}
	fclose(in);
	fclose(out);
	return 0;
}